Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class ResizableEditPolicyEx

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.GraphicalEditPolicy
              org.eclipse.gef.editpolicies.SelectionEditPolicy
                  org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
                      org.eclipse.gef.editpolicies.NonResizableEditPolicy
                          org.eclipse.gef.editpolicies.ResizableEditPolicy
                              org.eclipse.gmf.runtime.diagram.ui.editpolicies.ResizableEditPolicyEx

All Implemented Interfaces:
  EditPolicy, IAdaptable, RequestConstants

Direct Known Subclasses:
  ResizableCompartmentEditPolicy, ResizableShapeEditPolicy

public class ResizableEditPolicyEx
extends ResizableEditPolicy

A resizable edit policy that understands REQ_DRAG and REQ_DROP requests

Field Summary

Fields inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`handles`

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ResizableEditPolicyEx()`

Method Summary
`protected void` `addSelectionHandles()`
`void` `eraseSourceFeedback(Request request)`
`EditPart` `getTargetEditPart(Request request)`
`protected void` `replaceHandleDragEditPartsTracker(Handle handle)` Replaces the handle's default DragEditPartsTracker with the extended DragEditPartsTrackerEx
`protected void` `showChangeBoundsFeedback(ChangeBoundsRequest request)` Shows or updates feedback for a change bounds request.
`void` `showSourceFeedback(Request request)`

Methods inherited from class org.eclipse.gef.editpolicies.ResizableEditPolicy
`createSelectionHandles, getCommand, getResizeCommand, getResizeDirections, setResizeDirections, understandsRequest`

Methods inherited from class org.eclipse.gef.editpolicies.NonResizableEditPolicy
`createDragSourceFeedbackFigure, deactivate, eraseChangeBoundsFeedback, getAlignCommand, getDragSourceFeedbackFigure, getInitialFeedbackBounds, getMoveCommand, getOrphanCommand, hideFocus, isDragAllowed, setDragAllowed, showFocus`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`getAdapter, hideSelection, removeSelectionHandles, showSelection`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionEditPolicy
`activate, addSelectionListener, removeSelectionListener, setFocus, setSelectedState, showPrimarySelection`

Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy
`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`debugFeedback, eraseTargetFeedback, getHost, setHost, showTargetFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResizableEditPolicyEx

    public ResizableEditPolicyEx()

Method Detail

### eraseSourceFeedback

    public void eraseSourceFeedback(Request request)

  See Also:
    `EditPolicy.eraseSourceFeedback(org.eclipse.gef.Request)`

### showSourceFeedback

    public void showSourceFeedback(Request request)

  See Also:
    `EditPolicy.showSourceFeedback(org.eclipse.gef.Request)`

### addSelectionHandles

    protected void addSelectionHandles()

  See Also:
    `SelectionHandlesEditPolicy.addSelectionHandles()`

### replaceHandleDragEditPartsTracker

    protected void replaceHandleDragEditPartsTracker(Handle handle)

  Replaces the handle's default DragEditPartsTracker with the extended DragEditPartsTrackerEx

  Parameters:
    `handle` -

### getTargetEditPart

    public EditPart getTargetEditPart(Request request)

  See Also:
    `EditPolicy.getTargetEditPart(org.eclipse.gef.Request)`

### showChangeBoundsFeedback

    protected void showChangeBoundsFeedback(ChangeBoundsRequest request)

  Shows or updates feedback for a change bounds request. This method had been overriden to make sure that the feed back never go below the min size also it make sure it never exceed the max size

  Parameters:
    `request` - the request

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.